#!/bin/tcsh
#
# usage: from the command line, "> source setup.sh"
#
# commands to be executed to 
# be able to run on the clued0 cluster
#
setup ups
#setup root v4_00_08a -q GCC_3_3_1:opt

# check if we are running on clued0.
echo $HOST |grep "clued0"
if ( "$?" == 0 ) then
  echo "Running on clued0."
  echo "Setting up gcc and root"
  # really old:
  #setup gcc v3_4_1
  #setup root v4_02_00a -q GCC_3_4_3:opt
  # old:
  #setup gcc v3_1_slava -f Linux+2.4 -z /d0usr/products/upsdb
  #setup root v4_00_04a_rh71_locked -f Linux+2.4 -z /d0usr/products/upsdb -q GCC_3_1:exception:opt:thread -j
  # current as of 7/6/5:
  setup gcc v3_4_3_dzero -z /d0usr/products/upsdb
    # newer version of root:
  #setup root v4_02_00a_eh -f Linux+2.4 -z /d0usr/products/upsdb -q GCC_3_4_3:opt -j
    # even newer version:
  setup root v4_04_02b_v2_eh -f Linux+2.4 -z /d0usr/products/upsdb -q GCC_3_4_3:opt -j

  # also use our local version of comphep
  echo "Setting up comphep"
  setup comphep 4_4_3_GCC_3_4_3 -z /rooms/cafe/topd0root_build/dist/upsdb

else
  setup root v4_00_08a -q GCC_3_3_1:opt
  setup gcc v3_3_1
endif

